org.apache.cassandra.cql3.statements

## Class IndexTarget.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.statements.IndexTarget.Raw

- Enclosing class:
    IndexTarget

      public static class IndexTarget.Raw
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isCollectionKeys`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexTarget.Raw` | `keysOf(ColumnIdentifier.Raw c)`
    `static IndexTarget.Raw` | `of(ColumnIdentifier.Raw c)`
    `IndexTarget` | `prepare(CFMetaData cfm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isCollectionKeys

          public final boolean isCollectionKeys

  - ### Method Detail

    - #### of

          public static IndexTarget.Raw of(ColumnIdentifier.Raw c)

    - #### keysOf

          public static IndexTarget.Raw keysOf(ColumnIdentifier.Raw c)

    - #### prepare

          public IndexTarget prepare(CFMetaData cfm)

Copyright © 2014 The Apache Software Foundation